{-# LANGUAGE TemplateHaskell #-}
module Main where

import qualified Precomputer

import System.Environment (getArgs)

main :: IO ()
main = do
  args <- getArgs
  case args of
    ["run"] ->
      $$(Precomputer.runDeps)
    ["tree"] ->
      $$(Precomputer.formatDependencyTrees)
    _ ->
      error "unexpected arguments"
