{-# LANGUAGE FunctionalDependencies #-}
module Types.Functions
  ( IsFunction(..)
  , IsFunctionIO(..)
  ) where

import Type.Reflection (Typeable)

class (Show f, Show a, Typeable a, Show b, Typeable b) => IsFunction f a b | f -> a b where
  evalFunction :: f -> a -> b

class (Show f, Show a, Typeable a, Show b, Typeable b) => IsFunctionIO f a b | f -> a b where
  evalFunctionIO :: f -> a -> IO b
  functionIOTouchesFilesystem :: f -> Bool
